# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Path-Class
Version:	0.29
Release:	1.%{__distinit}%{__distvers}
Summary:	Cross-platform path specification manipulation
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Path-Class/
Source0:	http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/Path-Class-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec) >= 0.87
BuildRequires:	perl(File::stat)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::Dir)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Perl::Critic)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Path::Class is a module for manipulation of file and directory specifications
(strings describing their locations, like '/home/ken/foo.txt' or
'C:\Windows\Foo.txt') in a cross-platform manner. It supports pretty much every
platform Perl runs on, including Unix, Windows, Mac, VMS, Epoc, Cygwin, OS/2,
and NetWare.

%prep
%setup -q -n Path-Class-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
AUTHOR_TESTING=1 ./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Path/
%{_mandir}/man3/Path::Class.3pm*
%{_mandir}/man3/Path::Class::Dir.3pm*
%{_mandir}/man3/Path::Class::Entity.3pm*
%{_mandir}/man3/Path::Class::File.3pm*

%changelog
* Tue Dec 18 2012 Paul Howarth <paul@city-fan.org> - 0.29-1
- Update to 0.29:
  - Add components() method, which returns directory names (and filename, if
    this is a File object) as a list
  - Fix a test failure on non-Unix platforms; the 07-recurseprune.t test was
    written in a Unix-specific way

* Mon Dec 17 2012 Paul Howarth <paul@city-fan.org> - 0.28-1
- Update to 0.28:
  - Fix test failures when run as root - they were relying on permissions
    failures, but permissions never fail as root
  - Add links in docs to the other modules we rely on and talk about in the
    docs, which makes for easier viewing through search.cpan.org / MetaCPAN
  - Fixed some misleading variable names in docs (CPAN RT#81795)

* Mon Dec 10 2012 Paul Howarth <paul@city-fan.org> - 0.27-1
- Update to 0.27:
  - Added pruning support in dir->recurse(); if recurse callback returns
    $item->PRUNE, no children of this item will be analyzed
  - Documented 'basename' method for directories
  - Added traverse_if() function, which allows one to filter children before
    processing them
  - Added tempdir() function
- Package upstream LICENSE file

* Fri Jun 15 2012 Paul Howarth <paul@city-fan.org> - 0.26-1
- Update to 0.26:
  - resolve() now includes the name of the non-existent file in the error
    message
  - New shortcut opena(), to open a file for appending
  - New spew() method that does the inverse of the slurp() method
  - Fixed a typo in a class name in the docs for Path::Class::Entity
- BR: perl(Test::Perl::Critic) unconditionally
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}

* Thu Feb 16 2012 Paul Howarth <paul@city-fan.org> - 0.25-1
- Update to 0.25:
  - resolve() now croak()s instead of die()s on non-existent file
  - Added a traverse() method for directories, based on the fmap_cont() method
    of Forest::Tree::Pure; it's an alternative to ->recurse, which allows for
    more control over how the recursion happens
  - Fixed a grammar error in the docs
- Drop upstreamed UTF-8 patch
- Add buildreqs for Perl core modules that might be dual-lived

* Fri Jul  1 2011 Paul Howarth <paul@city-fan.org> - 0.24-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue May 31 2011 Paul Howarth <paul@city-fan.org> - 0.24-1
- Update to 0.24:
  - Added a tempfile() method for Dir objects, which provides an interface to
    File::Temp (CPAN RT#60485)
  - Fixed a non-helpful fatal error message when calling resolve() on a path
    that doesn't exist; now dies with the proper "No such file or directory"
    message and exit status
- BR: perl(Test::Perl::Critic) and run author tests where possible

* Wed Apr 13 2011 Paul Howarth <paul@city-fan.org> - 0.23-1
- Import from Fedora
- Update to 0.23:
  - slurp() now accepts an 'iomode' option to control how the file is opened
  - In the openr() and openw() file methods, we now croak() instead of die()
    so that the error messages are more useful
  - Allow subclassing, by adding dir_class() and file_class() static methods,
    allowing them to be overridden
  - Fixed a testing failure that could occur whenever testing in a directory
    path that contains symlinks (e.g. /tmp on Mac OS X)
  - Added a 'no_hidden' parameter for children()
  - Fixed the heading for the is_relative() POD section
  - Don't test the 'iomode' option under 5.6, because layers aren't supported
  - Fixes for spelling errors in the documentation
  - Added a basename() method for directory objects
  - Fixed a bunch of problems with the distribution (e.g. in META.yml) that
    were introduced in the switch to Dist::Zilla

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.18-3
- Rebuild to fix problems with vendorarch/lib (#661697)

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.18-2
- Mass rebuild with perl-5.12.0

* Mon Feb 22 2010 Chris Weyl <cweyl@alumni.drew.edu> - 0.18-1
- Update to 0.18 (for latest DBIx::Class)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.16-6
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.16-3
- Rebuild for new perl

* Thu Aug 16 2007 Ian Burrell <ianburrell@gmail.com> - 0.16-2
- Fix BuildRequires

* Mon Jan 29 2007 Ian Burrell <ianburrell@gmail.com> - 0.16-1
- Specfile autogenerated by cpanspec 1.69.1
